---
title: LockedFile.write()
slug: Web/API/LockedFile/write
tags:
  - API
  - Files
  - Method
  - Non Standard
  - Reference
  - WebAPI
---
<p>{{APIRef("File System API")}}{{non-standard_header}}</p>

<h2 id="Summary">Summary</h2>

<p>The <code>write</code> method is used to write some data within the file.</p>

<p>The write starts at the position set in {{domxref("LockedFile.location")}} and moves that position by the number of written bytes.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var request = <em>instanceOfLockedFile</em>.write(data);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>data</code></dt>
 <dd>The data to write into the file. It can be a string or an {{domxref("ArrayBuffer")}}.</dd>
</dl>

<h3 id="Return">Return</h3>

<p>A {{domxref("FileRequest")}} object to handle the success or failure of the operation.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('FileSystem')}}</td>
   <td>{{Spec2('FileSystem')}}</td>
   <td>Draft proposal</td>
  </tr>
 </tbody>
</table>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("LockedFile")}}</li>
</ul>
